{ pkgs, lib, ... }:
let
    dotfiles_hypr = pkgs.fetchgit {
        url = "https://git.nichkara.eu/dotfiles/hypr";
        rev = "83da92f0d64620c6503b8b2d9fa27bd79816e025";
        sha256 = "sha256-kEKJiH0oK0PuciJZ6ucinTKX5eMWxPPZXYNS1+HIcRA=";
    };

    dotfiles_waybar = pkgs.fetchgit {
        url = "https://git.nichkara.eu/dotfiles/waybar";
        rev = "cd3d5d8a97f9fbc1cc8a69fc9e570dfcf669dce7";
        sha256 = "sha256-FTpGumhxY6ChUXqnykO+aSJiFD4A80W0eqx7hXS9Iwc=";
    };

    profile = import ../../profile.nix;
in
{

    environment.systemPackages = with pkgs; [
        wofi
        grim
        swaynotificationcenter
        swaylock
        hyprpaper
        lxsession
        hyprshot
        wayvnc
        pamixer
        pavucontrol
        brightnessctl
        python313Packages.requests
        networkmanagerapplet
    ];

    fonts.packages = with pkgs; [
            nerd-fonts.space-mono
        ];

    programs.hyprland = {
        enable = true;
        withUWSM = true;
        xwayland.enable = true;
    };

    programs.waybar = {
        enable = true;
    };
}
